/***************************************************************************
 *                                                                         *
 *   copyright (C) 2003 by Michael Buesch                                  *
 *   email: fsdeveloper@yahoo.de                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2        *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#ifndef GENRAND_H
#define GENRAND_H

#define MAX_SKIP    50

#include <qwidget.h>
#include <qevent.h>
#include <qpixmap.h>

#include "genwnd.h"
#include "simplernd.h"

/** generate random numbers using the mouse cursor */
class GenRand : public GenWnd {
  Q_OBJECT
public:
  GenRand(QString backgrPix = "", unsigned long maxRnd = UNSIGNED_LONG_MAX, QWidget* parent = 0, const char *name = 0);
  ~GenRand();

  /** set maximum random value */
  void setMaxRnd(unsigned long maxRnd = UNSIGNED_LONG_MAX);
  /** starts the randomizer */
  void start();
  /** stops the randomizer */
  void stop();
  /** set background pix */
  bool setBackgr(QString pixPath);

public:
  /** simple random number generator */
  SimpleRnd srnd;

protected:
  /** maximum number to generate */
  unsigned long max;
  /** background pix */
  QPixmap backp;

protected:
  /** randomizer-widget is going to close */
  void closeEvent(QCloseEvent *e);
  void mouseMoveEvent(QMouseEvent *e);

signals: // Signals
  /** new random number available */
  void newRand_signal(unsigned long rnd);
  /** randomizer closed by user (canceled) */
  void closedByUser_signal();
};

#endif
