/***************************************************************************
 *                                                                         *
 *   copyright (C) 2003 by Michael Buesch                                  *
 *   email: fsdeveloper@yahoo.de                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2        *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kuniqueapplication.h>

#include "pwg.h"
#include "pwgexception.h"
#include "pwglicense.h"

#include <iostream>
using namespace std;


static const char *description = I18N_NOOP(
  "PwG - Password-generator\n"
  "Generate secure and random passwords.");

static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
};

int main(int argc, char *argv[])
{
  KAboutData aboutData( "pwg", I18N_NOOP("PwG"),
    VERSION, description, KAboutData::License_Custom,
    "(c) 2003, Michael Buesch", 0, "http://www.8ung.at/tuxsoft", "fsdeveloper@yahoo.de");
  aboutData.setLicenseText(pwgLicense);
  aboutData.addAuthor("Michael Buesch", I18N_NOOP("main programming and current maintainer"), "fsdeveloper@yahoo.de");
  aboutData.addAuthor("Wickey", I18N_NOOP("graphics-design"), "wickey@gmx.at");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options );
  
  KUniqueApplication a;
  
  PwG *pwg = new PwG();

  a.setMainWidget(pwg);
  pwg->show();

  int ret = a.exec();
  delete pwg;
  return ret;
}
