/***************************************************************************
 *                                                                         *
 *   copyright (C) 2003 by Michael Buesch                                  *
 *   email: fsdeveloper@yahoo.de                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2        *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#include <qlineedit.h>
#include <qfileinfo.h>
#include <qmessagebox.h>
#include <qdir.h>
#include <kstandarddirs.h>

#include <klocale.h>
#include <kfiledialog.h>

#include "optionswndimpl.h"
#include "genpw.h"


OptionsWndImpl::OptionsWndImpl(QWidget* parent, const char *name)
 : OptionsWnd(parent, name)
{
}

OptionsWndImpl::~OptionsWndImpl()
{
}

/** ok button clicked */
void OptionsWndImpl::okButton_slot()
{
  QFileInfo fi(randBackgrLineEdit->text());
  if(!fi.isFile() || !fi.isReadable()){
    if(QMessageBox::critical(this, i18n("filepath incorrect"),
      i18n("Sorry, the file you have selected for the\n"
      "background-image of the randomizer doesn't exist\n"
      "or you don't have permission to read it.\n"
      "Do you want to select the default picture?"),
      QMessageBox::Yes, QMessageBox::No, 0) == QMessageBox::Yes){

      randBackgrLineEdit->setText(::locate("data", PWG_DEFAULT_BG_PIC));
      done(0);
    }
  }
  else
    done(0);
}
/** cancel button clicked */
void OptionsWndImpl::cancelButton_slot()
{
  done(1);
}
/** browse randomizer-background-pic button pressed */
void OptionsWndImpl::browseRndBackButton_slot()
{
  QFileInfo fi(::locate("data", PWG_DEFAULT_BG_PIC));
  QString initPath(fi.isReadable() ? fi.dirPath(TRUE) : QDir::home().absPath());
  QString path = KFileDialog::getImageOpenURL(initPath).path();
  if(path != QString::null)
    randBackgrLineEdit->setText(path);
}

