/***************************************************************************
 *                                                                         *
 *   copyright (C) 2003 by Michael Buesch                                  *
 *   email: fsdeveloper@yahoo.de                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2        *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#ifndef OUTPUTWNDIMPL_H
#define OUTPUTWNDIMPL_H

#include <qlineedit.h>

#include "outputwnd.h"


/**
 * output-window implementation
 * Michael Buesch
 **/
class OutputWndImpl : public OutputWnd
{
Q_OBJECT
public:
  OutputWndImpl(QWidget* parent=0, const char *name=0);
  ~OutputWndImpl();

  void setOutPw(QString pw) { outputLineEdit->setText(pw); }

protected:
  void closeEvent(QCloseEvent *e);

protected slots:
  /** copy to clipboard button pressed */
  void copyClipButton_slot();
  /** copy to PwM button pressed */
  void copyPwMButton_slot();
};

#endif
