/***************************************************************************
 *                                                                         *
 *   copyright (C) 2003 by Michael Buesch                                  *
 *   email: fsdeveloper@yahoo.de                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2        *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#ifndef PWGEXCEPTION_H
#define PWGEXCEPTION_H

enum exceptionId {
  EX_GENERAL = 0,
  EX_RAND_FILENOTFOUND
};

/** used for general exception faults */
class PwgException
{
public:
  PwgException(exceptionId id = EX_GENERAL, const char *message = "");
  ~PwgException() {}

  exceptionId getId() { return exId; }
  const char* getMessage() { return exMess; }

protected:
  /** ID of this exception */
  exceptionId exId;
  /** additional error-message for this exception */
  const char *exMess;
};

#endif
