/***************************************************************************
 *                                                                         *
 *   copyright (C) 2003 by Michael Buesch                                  *
 *   email: fsdeveloper@yahoo.de                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2        *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#include "selectfilterswndimpl.h"

#include <qmessagebox.h>

#include <klocale.h>

SelectFiltersWndImpl::SelectFiltersWndImpl(QWidget* parent, const char *name)
 : selectFiltersWnd(parent, name)
{
}

SelectFiltersWndImpl::~SelectFiltersWndImpl()
{
}
/** ok button pressed */
void SelectFiltersWndImpl::okButton_slot()
{
  done(0);
}
/** cancel button pressed */
void SelectFiltersWndImpl::cancelButton_slot()
{
  done(1);
}
/** help button for char-seq pressed */
void SelectFiltersWndImpl::charSeqHelpButton_slot()
{
  QMessageBox::information(this, i18n("Character sequence filter - help"),
    i18n("The \"character sequence filter\" filters sequences of the same\n"
    "character, depending on the given filter-limit, out of the password.\n"
    "For example if you have set the limit to 3, these passwords will not\n"
    "become generated (they will be filtered out), because of the the 'a'-characters:\n"
    "zaaakwd ; 8BLaaa ; aaaalOM\n"
    "But passwords like these will not become filtered out, until the limit is set to 2:\n"
    "kaaub ; 8aa0g ; aaIH8\n"
    "\n"
    "The use of one or more filter will increase the time it takes\n"
    "to generate a password!"),
    QMessageBox::Ok, 0, 0);
}
/** help button for charset-seq pressed */
void SelectFiltersWndImpl::charsetSeqHelpButton_slot()
{
  QMessageBox::information(this, i18n("Charset sequence filter - help"),
    i18n("The \"charset sequence filter\" filters sequences of characters,\n"
    "that belong to the same charset, depending on the given filter-limit,\n"
    "out of the password.\n"
    "For example if you have set the limit to 3, these passwords will not\n"
    "become generated (they will be filtered out), because of the\n"
    "charset sequence 'abc' (these characters belong all to the charset \"lowercase\"):\n"
    "abcJ81 ; 9abcKds ; abcdeJ1\n"
    "But passwords like these will not become filtered out, until the limit is set to 2:\n"
    "abK8cd ; 89nuDF ; 9Kab\n"
    "\n"
    "The use of one or more filter will increase the time it takes\n"
    "to generate a password!"),
    QMessageBox::Ok, 0, 0);
}
