/***************************************************************************
 *                                                                         *
 *   copyright (C) 2003 by Michael Buesch                                  *
 *   email: fsdeveloper@yahoo.de                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2        *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#ifndef SIMPLERND_H
#define SIMPLERND_H

/** maximum possible value of "unsigned long" */
#define UNSIGNED_LONG_MAX       4294967295UL

#include <stdio.h>

/** simple randomizer */
class SimpleRnd
{
public:
  SimpleRnd();
  ~SimpleRnd();

  /** generate random number between 0 and maxRnd */
  unsigned long genRnd(unsigned long maxRnd = UNSIGNED_LONG_MAX);

protected:
  /** make random number using random-device-node */
  inline unsigned long rndDev(unsigned long maxRnd);
  /** make random number using std-func rand() */
  inline unsigned long rndRand(unsigned long maxRnd);

protected:
  /** random-device-node (if available) */
  FILE *randomDevice;
  /** use rnd-dev-node or rand() */
  bool useDev;
};

#endif
